headless lms

Update a space (staff)

PATCH /api/communities/{communityId}/spaces/{spaceId}. Update a space (staff). Headless LMS Communities API reference.

PATCH
/api/communities/{communityId}/spaces/{spaceId}

Owner or admin only. Changes only the fields sent; settings merges into the current settings. An all_members space cannot have a capacity (409).

Path Parameters

communityId*string
spaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/communities/string/spaces/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "orgId": "string",  "id": "string",  "communityId": "string",  "name": "string",  "description": "string",  "seq": -9007199254740991,  "accessRule": "all_members",  "capacity": -9007199254740991,  "settings": {    "comments": true,    "reactions": true,    "requireReview": true  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "topics": [    {      "orgId": "string",      "id": "string",      "spaceId": "string",      "name": "string",      "seq": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "links": [    {      "orgId": "string",      "id": "string",      "spaceId": "string",      "contentId": "string",      "seq": -9007199254740991,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}